Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 367792 - Crash when running Java unit tests that call initXPCOM
: Crash when running Java unit tests that call initXPCOM
: verified1.8.1.4
Product: Core Graveyard
Classification: Graveyard
Component: Java to XPCOM Bridge (show other bugs)
: Other Branch
: All All
: -- normal (vote)
: ---
Assigned To: jhp (no longer active)
: 363510 (view as bug list)
Depends on:
Blocks: 350886
  Show dependency treegraph
Reported: 2007-01-22 14:45 PST by jhp (no longer active)
Modified: 2014-09-24 05:43 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

patch (2.79 KB, patch)
2007-01-22 14:45 PST, jhp (no longer active)
dveditz: approval1.8.1.4+
Details | Diff | Splinter Review

Description jhp (no longer active) 2007-01-22 14:45:30 PST
Created attachment 252386 [details] [diff] [review]

When running any of the Java tests from bug 350886 that call |Mozilla.initXPCOM()|, test crashes when trying to access the directory service provider.

The issue was that I was deleting the provided service provider immediately after calling |NS_InitXPCOM2()| (how did this code ever work?).  Fixed that code to properly use an nsCOMPtr.  Also fixed a related issue in |Mozilla.shutdownXPCOM()|.

Patch attached.
Comment 1 jhp (no longer active) 2007-03-02 08:56:50 PST
Checked in to trunk.  -> FIXED
Comment 2 jhp (no longer active) 2007-03-02 08:58:33 PST
Comment on attachment 252386 [details] [diff] [review]

Asking for approval.  Fix for crasher.  XULRunner only.
Comment 3 Daniel Veditz [:dveditz] 2007-03-29 11:18:33 PDT
Comment on attachment 252386 [details] [diff] [review]

approved for, a=dveditz for release-drivers
Comment 4 jhp (no longer active) 2007-04-03 08:29:05 PDT
Checked in to MOZILLA_1_8_BRANCH.
Comment 5 David Marteau 2007-04-08 10:44:03 PDT
*** Bug 363510 has been marked as a duplicate of this bug. ***
Comment 6 Jay Patel [:jay] 2007-05-09 16:31:11 PDT
Javier:  If you have verified this fix with the latest rc builds, can you update the keywords with "verified1.8.14"?  Thanks!

Note You need to log in before you can comment on or make changes to this bug.